<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>
<plugin
   id="jp.sourceforge.jeextension.styleeditor"
   name="Jeex Style Editor Plugin"
   version="2.0.3"
   provider-name="Eclipse Extension Plug-in Project"
   class="jp.sourceforge.jeextension.styleeditor.StyleEditorPlugin">

   <runtime>
      <library name="styleEditor.jar"/>
      <library name="lib/jeex-common-xml-1.0.0.jar"/>
      <library name="lib/jeex-common-plugin-1.0.1.jar"/>
      <library name="lib/apache-xalan-2.5.1.jar"/>
      <library name="lib/apache-xercesImpl-2.5.0.jar"/>
      <library name="lib/apache-xml-apis-2.5.1.jar"/>
      <library name="lib/javassist.jar"/>
   </runtime>
   <requires>
      <import plugin="org.eclipse.core.runtime"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.jdt.ui"/>
      <import plugin="org.eclipse.jdt.debug.ui"/>
      <import plugin="org.eclipse.debug.ui"/>
   </requires>


   <extension
         point="org.eclipse.ui.editors">
      <editor
            name="Jeex Text Style Editor"
            icon="icons/text_editor.gif"
            contributorClass="jp.sourceforge.jeextension.styleeditor.core.TextStyleEditorActionContributor"
            class="org.eclipse.ui.editors.text.TextEditor"
            id="jp.sourceforge.jeextension.styleeditor.core.TextStyleEditor">
      </editor>
      <editor
            name="Jeex Java Style Editor"
            icon="icons/java_editor.gif"
            contributorClass="jp.sourceforge.jeextension.styleeditor.core.JavaStyleEditorActionContributor"
            class="org.eclipse.jdt.internal.ui.javaeditor.CompilationUnitEditor"
            id="jp.sourceforge.jeextension.styleeditor.core.JavaStyleEditor">
      </editor>
   </extension>
   <extension
         point="org.eclipse.ui.preferencePages">
      <page
            name="Jeex Style Editor"
            class="jp.sourceforge.jeextension.styleeditor.preferences.StyleEditorPreferencePage"
            id="jp.sourceforge.jeextension.styleeditor.preferences.StyleEditorPreferencePage">
      </page>
   </extension>


</plugin>
